fsg_model_s Struct Reference

Word level FSG definition. More...

`#include <fsg_model.h>`

## Data Fields

int | refcount
| Reference count.
char * | name
| A unique string identifier for this FSG.
int32 | n_word
| Number of unique words in this FSG.
int32 | n_word_alloc
| Number of words allocated in vocab.
char ** | vocab
| Vocabulary for this FSG.
bitvec_t * | silwords
| Indicates which words are silence/fillers.
bitvec_t * | altwords
| Indicates which words are pronunciation alternates.
logmath_t * | lmath
| Pointer to log math computation object.
int32 | n_state
| number of states in FSG
int32 | start_state
| Must be in the range [0..n_state-1].
int32 | final_state
| Must be in the range [0..n_state-1].
float32 | lw
| Language weight that's been applied to transition logprobs.
trans_list_t * | trans
| Transitions out of each state, if any.
listelem_alloc_t * | link_alloc
| Allocator for FSG links.

## Detailed Description

Word level FSG definition.

States are simply integers 0..n_state-1. A transition emits a word and has a given probability of being taken. There can also be null or epsilon transitions, with no associated emitted word.

Definition at line 99 of file fsg_model.h.

## Field Documentation

## altwords

bitvec_t* fsg_model_s::altwords

Indicates which words are pronunciation alternates.

Definition at line 106 of file fsg_model.h.

## final_state

int32 fsg_model_s::final_state

Must be in the range [0..n_state-1].

Definition at line 110 of file fsg_model.h.

## link_alloc

listelem_alloc_t* fsg_model_s::link_alloc

Allocator for FSG links.

Definition at line 114 of file fsg_model.h.

## lmath

logmath_t* fsg_model_s::lmath

Pointer to log math computation object.

Definition at line 107 of file fsg_model.h.

## lw

float32 fsg_model_s::lw

Language weight that's been applied to transition logprobs.

Definition at line 111 of file fsg_model.h.

## n_state

int32 fsg_model_s::n_state

number of states in FSG

Definition at line 108 of file fsg_model.h.

## n_word

int32 fsg_model_s::n_word

Number of unique words in this FSG.

Definition at line 102 of file fsg_model.h.

## n_word_alloc

int32 fsg_model_s::n_word_alloc

Number of words allocated in vocab.

Definition at line 103 of file fsg_model.h.

## name

char* fsg_model_s::name

A unique string identifier for this FSG.

Definition at line 101 of file fsg_model.h.

## refcount

int fsg_model_s::refcount

Reference count.

Definition at line 100 of file fsg_model.h.

## silwords

bitvec_t* fsg_model_s::silwords

Indicates which words are silence/fillers.

Definition at line 105 of file fsg_model.h.

## start_state

int32 fsg_model_s::start_state

Must be in the range [0..n_state-1].

Definition at line 109 of file fsg_model.h.

## trans

trans_list_t* fsg_model_s::trans

Transitions out of each state, if any.

Definition at line 113 of file fsg_model.h.

## vocab

char** fsg_model_s::vocab

Vocabulary for this FSG.

Definition at line 104 of file fsg_model.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/fsg_model.h